org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_CHECKBOXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_CHECKBOXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_CHECKBOXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_CHECKBOXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_CHECKBOXNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_CHECKBOXNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindSelected(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_CHECKBOXNode` | `setActionListener(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setComment(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setEnabled(boolean value)`
    `UI5M_CHECKBOXNode` | `setEnabled(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setFlush(boolean value)`
    `UI5M_CHECKBOXNode` | `setFlush(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setId(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setReference(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setRendered(boolean value)`
    `UI5M_CHECKBOXNode` | `setRendered(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setSelected(boolean value)`
    `UI5M_CHECKBOXNode` | `setSelected(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setStyleseq(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setStylevariant(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setText(java.lang.String value)`
    `UI5M_CHECKBOXNode` | `setWidth(int value)`
    `UI5M_CHECKBOXNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_CHECKBOXNode

          public UI5M_CHECKBOXNode()

  - ### Method Detail

    - #### setId

          public UI5M_CHECKBOXNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_CHECKBOXNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_CHECKBOXNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_CHECKBOXNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_CHECKBOXNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_CHECKBOXNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_CHECKBOXNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_CHECKBOXNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_CHECKBOXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_CHECKBOXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_CHECKBOXNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_CHECKBOXNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_CHECKBOXNode setEnabled(boolean value)

    - #### setFlush

          public UI5M_CHECKBOXNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_CHECKBOXNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_CHECKBOXNode setFlush(boolean value)

    - #### setLayoutdata

          public UI5M_CHECKBOXNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_CHECKBOXNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_CHECKBOXNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_CHECKBOXNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_CHECKBOXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_CHECKBOXNode setRendered(boolean value)

    - #### setSelected

          public UI5M_CHECKBOXNode setSelected(java.lang.String value)

    - #### bindSelected

          public UI5M_CHECKBOXNode bindSelected(IDynamicContentBindingObject value)

    - #### setSelected

          public UI5M_CHECKBOXNode setSelected(boolean value)

    - #### setStyleseq

          public UI5M_CHECKBOXNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_CHECKBOXNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_CHECKBOXNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_CHECKBOXNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_CHECKBOXNode setText(java.lang.String value)

    - #### bindText

          public UI5M_CHECKBOXNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_CHECKBOXNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_CHECKBOXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_CHECKBOXNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.